<template>
  <button v-bind="$attrs" type="button" data-bs-toggle="modal" data-bs-target="#feedbackModal" class="m-2 btn btn-dark">{{ $t('feedback.button') }}</button>

  <div class="modal fade" id="feedbackModal" tabindex="-1" aria-labelledby="feedbackModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="feedbackModalLabel">{{ $t('feedback.question') }}</h5>
          <button ref="close_button" type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <form ref="form" @submit.prevent="" method="POST">
          <div class="modal-body">
            <p id="modal-text">{{ $t('feedback.include_inputs') }}</p>
            <textarea
              name="text"
              cols="40"
              rows="5"
              :placeholder="$t('feedback.placeholder')"
              maxlength="5000"
              class="textarea form-control" ></textarea>
          </div>
          <div class="modal-footer">
            <button @click="submit" class="btn btn-primary">{{ $t('feedback.submit_button') }}</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
import helper from '../helper'

export default {
  name: 'Feedback',
  mixins: [helper],
  methods: {
    submit () {
      const data = {}
      for (const [name, value] of new FormData(this.$refs.form)) {
        data[name] = value
      }

      fetch(this.get_api_url() + 'api/feedback', {
        method: 'Post',
        body: JSON.stringify(data),
        headers: {
          'Content-Type': 'application/json'
        }
      })
      this.$refs.close_button.click()
      this.$refs.form.reset()
    }
  }
}
</script>

<style scoped>
#modal-text {
  text-align: initial;
}
</style>
